Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ObjectParameterGroupAttr

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr
ru.bitel.bgbilling.kernel.contract.object.common.bean.ObjectParameterGroupAttr

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ObjectParameterGroupAttr extends AbstractSpecAttr

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ObjectParameterGroupAttr.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectParameterGroupAttr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectParameterGroupAttr.Builder`
  `builder()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractSpecAttr

  `getComment, getType, getTypeName, getTypeName, isHistory, setComment, setHistory, setType, toTypeMap`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ObjectParameterGroupAttr

    public ObjectParameterGroupAttr()

- ## Method Details

  - ### builder

    public static ObjectParameterGroupAttr.Builder builder()